Canopy Minimum Hardware Requirements

Minimum hardware requirements are very dependent on the particular software being developed by a given Canopy user. Applications that need to store large arrays/objects in memory will require more RAM, whereas applications that need to perform numerous calculations or tasks more quickly will require a faster processor.

That  said, we find that the following list represents the minimum requirements needed to install Canopy:

  • Modern Operating System:
    • Windows 7, 8.1, or 10
    • Mac OS X 10.9 or higher, 64-bit
    • Linux: RHEL 5/6, 64-bit (almost all libraries also work in Ubuntu)
  • x86 CPU (Intel / AMD architecture)
  • 4 GB RAM
  • 5 GB free disk space

Most users will find that any computer bought in recent years will meet (and usually exceed) these hardware requirements.

Have more questions? Submit a request

Comments

Powered by Zendesk